Page MenuHomePhabricator

Lexeme index is now in general namespace
Closed, ResolvedPublic

Description

Right now, Lexeme namespace - e.g. on test.wikidata.org - is indexed in "general" index, together with non-item namespaces. We may want to index it in "content" index, together with items & properties.

If we decide to do it, namespace for Lexemes should be added to $wgContentNamespaces or $wgNamespacesToBeSearchedDefault for wikidata. This is recommended to do before reindexing, otherwise new reindex would be required to move the data to different index.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 7:04 PM
Smalyshev updated the task description. (Show Details)May 22 2018, 7:05 PM

Change 434592 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434593 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434593

Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 22 2018, 8:26 PM

Change 434592 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434642 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642

Change 434642 merged by jenkins-bot:
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642

Change 434593 abandoned by Addshore:
wikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434593

Addshore closed this task as Resolved.May 23 2018, 12:35 PM
Vvjjkkii renamed this task from Lexeme index is now in general namespace to qhcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Addshore as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from qhcaaaaaaa to Lexeme index is now in general namespace.Jul 2 2018, 3:57 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Addshore.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.